[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.EndUpdate

EndUpdate - finishes the update process

## Declaration

Source position: graphics.pp line 1299

`public procedure TRasterImage.EndUpdate(`
`AStreamIsValid: Boolean = false`
`);`

## Description

EndUpdate - finishes the update process. By default the boolean argument AStreamIsValid is False, ie no stream is valid at the end of the process. be carefull with this, modify only within a begin/endupdate

The latest version of this document can be found at lazarus-ccr.sourceforge.net.